


class CfgPatches
{
           class arma1_sf_port_patch
           {
                        units[]={"arma1_us_soldier_sabass","arma1_us_soldier_sabmark","arma1_us_soldier_sabot"};
                        weapons[]={};
                        requiredVersion = 1.00;
                        requiredAddons[]={};
            };
};

class CfgVehicleClasses
{
            class arma1_sf_class
            {
                         displayName="Special Forces";
            };
			
};


class CfgFactionClasses
{
	class arma1_sf_faction
	{
		displayName = "ArmA1";
		priority = 20;
		side = 1;
	};
	
};



  


class CfgVehicles
{
 class All;
 class AllVehicles;
 class ThingEffect;
 class Land;
 class Man;
 class CAManBase;
 class USMC_Soldier2 ;
	
	class arma1_us_soldier_sabass: USMC_Soldier2  
	{

	scope=2;
	displayName="Assault";
	model = "\arma1_sf_port\us_soldier_sabass.p3d";

	weapons[] = {
				"M4A1_Aim_camo",
				"NVGoggles",
				"Binocular",
				"ItemGPS",
				"M9SD",
				"Throw",
				"Put",
				"ItemMap",
				"ItemCompass",
				"ItemWatch",
				"ItemRadio"
			};
			magazines[] = {
				"30Rnd_556x45_Stanag",
				"30Rnd_556x45_Stanag",
				"30Rnd_556x45_Stanag",
				"30Rnd_556x45_Stanag",
				"30Rnd_556x45_Stanag",
				"30Rnd_556x45_Stanag",
				"HandGrenade_West",
				"HandGrenade_West",
				"SmokeShell",
				"SmokeShellRed",
				"15Rnd_9x19_M9SD",
				"15Rnd_9x19_M9SD",
				"15Rnd_9x19_M9SD",
				"15Rnd_9x19_M9SD"
			};
			respawnWeapons[] = {
				"M4A1_Aim_camo",
				"NVGoggles",
				"Binocular",
				"ItemGPS",
				"M9SD",
				"Throw",
				"Put",
				"ItemMap",
				"ItemCompass",
				"ItemWatch",
				"ItemRadio"
			};
			respawnMagazines[] = {
				"30Rnd_556x45_Stanag",
				"30Rnd_556x45_Stanag",
				"30Rnd_556x45_Stanag",
				"30Rnd_556x45_Stanag",
				"HandGrenade_West",
				"SmokeShell",
				"15Rnd_9x19_M9SD",
				"15Rnd_9x19_M9SD"
			};
	vehicleClass = "arma1_sf_class";
	faction = "arma1_sf_faction";

	picture = "\Ca\characters\data\Ico\i_null_CA.paa";
	icon = "\Ca\characters2\data\icon\i_soldier_CA.paa";

			

	
	class Wounds
			{
				tex[] = {
				};
				mat[] = {
					"arma1_sf_port\data\us_soldier_sabass_body.rvmat",
					"arma1_sf_port\data\us_soldier_sabass_body_wound1.rvmat",
					"arma1_sf_port\data\us_soldier_sabass_body_wound2.rvmat",
					"ca\characters\heads\male\defaulthead\data\hhl_white.rvmat",
					"CA\characters\Heads\Male\DefaultHead\data\hhl_white_wounds.rvmat",
					"CA\characters\Heads\Male\DefaultHead\data\hhl_white_wounds2.rvmat"
				};
			};
};

class arma1_us_soldier_sabmark: arma1_us_soldier_sabass  
	{

	scope=2;
	displayName="Marksman";
	weapons[] = {
				"DMR",
				"M9SD",
				"ItemGPS",
				"NVGoggles",
				"Binocular",
				"Throw",
				"Put",
				"ItemMap",
				"ItemCompass",
				"ItemWatch",
				"ItemRadio"
			};
			magazines[] = {
				"20Rnd_762x51_DMR",
				"20Rnd_762x51_DMR",
				"20Rnd_762x51_DMR",
				"20Rnd_762x51_DMR",
				"20Rnd_762x51_DMR",
				"20Rnd_762x51_DMR",
				"15Rnd_9x19_M9SD",
				"15Rnd_9x19_M9SD",
				"15Rnd_9x19_M9SD",
				"15Rnd_9x19_M9SD",
				"HandGrenade_West",
				"SmokeShell",
				"SmokeShellYellow",
				"SmokeShellPurple"
			};
			respawnWeapons[] = {
				"DMR",
				"M9SD",
				"ItemGPS",
				"NVGoggles",
				"Binocular",
				"Throw",
				"Put",
				"ItemMap",
				"ItemCompass",
				"ItemWatch",
				"ItemRadio"
			};
			respawnMagazines[] = {
				"20Rnd_762x51_DMR",
				"20Rnd_762x51_DMR",
				"20Rnd_762x51_DMR",
				"20Rnd_762x51_DMR",
				"15Rnd_9x19_M9SD",
				"15Rnd_9x19_M9SD",
				"15Rnd_9x19_M9SD",
				"15Rnd_9x19_M9SD",
				"HandGrenade_West",
				"SmokeShell",
				"SmokeShellPurple"
			};
	model = "\arma1_sf_port\us_soldier_sabmark.p3d";
class Wounds
			{
				tex[] = {
				};
				mat[] = {
					"arma1_sf_port\data\us_soldier_sabmark_body.rvmat",
					"arma1_sf_port\data\us_soldier_sabmark_body_wound1.rvmat",
					"arma1_sf_port\data\us_soldier_sabmark_body_wound2.rvmat",
					"ca\characters\heads\male\defaulthead\data\hhl_white.rvmat",
					"CA\characters\Heads\Male\DefaultHead\data\hhl_white_wounds.rvmat",
					"CA\characters\Heads\Male\DefaultHead\data\hhl_white_wounds2.rvmat"
				};
			};
};


class arma1_us_soldier_sabot: arma1_us_soldier_sabass  
	{

	scope=2;
	displayName="Saboteur";
	weapons[] = {
				"M4A1_AIM_SD_camo",
				"Colt1911",
				"ItemGPS",
				"NVGoggles",
				"Binocular",
				"Throw",
				"Put",
				"ItemMap",
				"ItemCompass",
				"ItemWatch",
				"ItemRadio"
			};
			magazines[] = {
				"30Rnd_556x45_StanagSD",
				"30Rnd_556x45_StanagSD",
				"30Rnd_556x45_StanagSD",
				"30Rnd_556x45_StanagSD",
				"30Rnd_556x45_StanagSD",
				"30Rnd_556x45_StanagSD",
				"HandGrenade_West",
				"SmokeShell",
				"PipeBomb",
				"PipeBomb",
				"7Rnd_45ACP_1911",
				"7Rnd_45ACP_1911",
				"7Rnd_45ACP_1911",
				"7Rnd_45ACP_1911"
			};
			respawnWeapons[] = {
				"M4A1_AIM_SD_camo",
				"Colt1911",
				"ItemGPS",
				"NVGoggles",
				"Binocular",
				"Throw",
				"Put",
				"ItemMap",
				"ItemCompass",
				"ItemWatch",
				"ItemRadio"
			};
			respawnMagazines[] = {
				"30Rnd_556x45_StanagSD",
				"30Rnd_556x45_StanagSD",
				"30Rnd_556x45_StanagSD",
				"30Rnd_556x45_StanagSD",
				"HandGrenade_West",
				"SmokeShell",
				"PipeBomb",
				"7Rnd_45ACP_1911",
				"7Rnd_45ACP_1911"
			};
	model = "\arma1_sf_port\us_soldier_sabot.p3d";
class Wounds
			{
				tex[] = {
				};
				mat[] = {
					"arma1_sf_port\data\us_soldier_sabot_body.rvmat",
					"arma1_sf_port\data\us_soldier_sabot_body_wound1.rvmat",
					"arma1_sf_port\data\us_soldier_sabot_body_wound2.rvmat",
					"ca\characters\heads\male\defaulthead\data\hhl_white.rvmat",
					"CA\characters\Heads\Male\DefaultHead\data\hhl_white_wounds.rvmat",
					"CA\characters\Heads\Male\DefaultHead\data\hhl_white_wounds2.rvmat"
				};
			};
};

};


